Search found 19 matches

by snowsquirrel
Sat May 03, 2008 1:41 pm
Forum: Compiler / Linking / IDE Related
Topic: wxIsBusy not defined?
Replies: 2
Views: 1498

bump
by snowsquirrel
Tue Apr 29, 2008 12:34 am
Forum: Compiler / Linking / IDE Related
Topic: wxIsBusy not defined?
Replies: 2
Views: 1498

wxIsBusy not defined?

I am on debian, using the the 2.8.7 packages of wx. But I can't even build any of the samples. I seem to have all the headers I need. Is there a broken dependancy? g++ -c -o listbox_lboxtest.o -I. `wx-config --cxxflags` -MTlistbox_lboxtest.o -MF`echo listbox_lboxtest.o | sed -e 's,\.o$,.d,'` -MD lbo...
by snowsquirrel
Wed Feb 09, 2005 4:48 pm
Forum: C++ Development
Topic: wx-config --version fails
Replies: 2
Views: 832

it is fixed in cvs.
by snowsquirrel
Fri Feb 04, 2005 6:12 pm
Forum: Platform Related Issues
Topic: G_TYPE_CHECK_INSTANCE, GLib-GObject-CRITICAL, gsignal.c
Replies: 13
Views: 6711

5 steps backtrace here is so not enough
How do I get more? I did a "bt 20", which should give me no more than 20.

~S
by snowsquirrel
Fri Feb 04, 2005 3:13 am
Forum: Platform Related Issues
Topic: G_TYPE_CHECK_INSTANCE, GLib-GObject-CRITICAL, gsignal.c
Replies: 13
Views: 6711

(gdb) bt 20 #0 0xfe27d867 in _lwp_kill () from /usr/lib/libc.so.1 #1 0xfe27b14a in thr_kill () from /usr/lib/libc.so.1 #2 0xfe22add7 in raise () from /usr/lib/libc.so.1 #3 0xfe20e929 in abort () from /usr/lib/libc.so.1 #4 0xfd37923e in g_logv () from /usr/lib/libglib-2.0.so.0 (gdb) The most I can g...
by snowsquirrel
Fri Feb 04, 2005 12:10 am
Forum: Platform Related Issues
Topic: G_TYPE_CHECK_INSTANCE, GLib-GObject-CRITICAL, gsignal.c
Replies: 13
Views: 6711

ok, I got gdb built installed. But when I run with the arg --g-fatal-warnings it crashes in a different place. Here is a bt without --g-fatal-warnings: Program received signal SIGSEGV, Segmentation fault. 0xfe202a8c in strlen () from /usr/lib/libc.so.1 (gdb) bt #0 0xfe202a8c in strlen () from /usr/l...
by snowsquirrel
Thu Feb 03, 2005 10:39 pm
Forum: Platform Related Issues
Topic: G_TYPE_CHECK_INSTANCE, GLib-GObject-CRITICAL, gsignal.c
Replies: 13
Views: 6711

Unfortunately there is no gdb for Solaris 10 x86 b72, that I know of yet. Will a pstack doo? I will look into getting a Solaris 10, AMD64 gdb, but ... $ pstack core core 'core' of 29322: ./pgadmin3 fe202a8c strlen (fffffffffdd13aa3, 80467ac, 80462a0, 0) + c fe25ae2b vsnprintf (80462e8, 1, fffffffffd...
by snowsquirrel
Thu Feb 03, 2005 8:48 pm
Forum: Platform Related Issues
Topic: G_TYPE_CHECK_INSTANCE, GLib-GObject-CRITICAL, gsignal.c
Replies: 13
Views: 6711

G_TYPE_CHECK_INSTANCE, GLib-GObject-CRITICAL, gsignal.c

I finally got the wx app, pgadmin3, up and running. Exactly what I wanted, great. But it core dumps all the time; on exit, resize, cancel a dialog, closing help dialog. The error and warning messages are always the same leading up to the crash. Here is example stdout from a run before a core dump: (...
by snowsquirrel
Tue Feb 01, 2005 5:47 pm
Forum: Platform Related Issues
Topic: is gtk 1.2.10 newer than 1.2.3?
Replies: 6
Views: 2038

Oh, I thought the point of a configure script was to detect what you had.
~S
by snowsquirrel
Mon Jan 31, 2005 8:17 pm
Forum: Platform Related Issues
Topic: is gtk 1.2.10 newer than 1.2.3?
Replies: 6
Views: 2038

Code: Select all

./configure --with-gtk --disable-gtk2
did the trick, though I don't really know why it is needed.

~S
by snowsquirrel
Mon Jan 31, 2005 3:40 pm
Forum: Platform Related Issues
Topic: is gtk 1.2.10 newer than 1.2.3?
Replies: 6
Views: 2038

I was trying to build with gtk 1.2 as most of our machines here have it already installed.

We are in a Solaris environment, so apt-get is not really an option.
~S
by snowsquirrel
Fri Jan 28, 2005 11:54 pm
Forum: Platform Related Issues
Topic: is gtk 1.2.10 newer than 1.2.3?
Replies: 6
Views: 2038

is gtk 1.2.10 newer than 1.2.3?

configure fails like this: checking for GTK+ version... checking for pkg-config... no checking for GTK+ - version >= 2.0.0... no *** A new enough version of pkg-config was not found. *** See http://pkgconfig.sourceforge.net configure: error: Please check that gtk-config is in path, the directory whe...
by snowsquirrel
Sat Jan 08, 2005 12:29 am
Forum: C++ Development
Topic: wx-config --version fails
Replies: 2
Views: 832

wx-config --version fails

wx-config --version fails saying that there is a syntax error before ; at line 151. I using wx 2.5.3. On solaris 2.8. I suspect the problem is an old version of /bin/sh. Changing this to /bin/bash fixed the problem. It this was a bad thing to do, let me know what the right thing to do was. Thanks, ~S
by snowsquirrel
Fri Jan 07, 2005 8:03 pm
Forum: Compiler / Linking / IDE Related
Topic: Can't build 2.5.3, ./include/wx/motif dir is missing.
Replies: 6
Views: 3552

I donloaded the wxX11 package. The INSTALL.TXT said that moftif is included in that package. It was wrong. I downloaded the wxMotif package, and am compiling right now. I suspect that I will get further this time.

~S
by snowsquirrel
Fri Jan 07, 2005 6:55 pm
Forum: Compiler / Linking / IDE Related
Topic: Can't build 2.5.3, ./include/wx/motif dir is missing.
Replies: 6
Views: 3552

1. download
2. unpack
3. cd wx*
4. ./configure
5. gmake[/list]